|
Menu location |
---|
Part → Create Primitives → Ellipse |
Workbenches |
Part, OpenSCAD |
Default shortcut |
None |
Introduced in version |
- |
See also |
.. |
Descriere
Un element primitiv geometric este Elipsa care este disponibil din dialogul Create Primitives în Atelierul de lucru Part.
Această comandă va crea o muchie curbată circulară. Cu valorile implicite, muchia curbată circulară va fi închisă și, prin urmare, va fi o elipsă. Dacă proprietățile Unghi 0 sau Unghi 1 sunt modificate din valorile implicite (0 și 360) marginea va fi o curbă deschisă, un arc de elipsă.
A Part Ellipse is in fact a closed counterclockwise elliptical arc, it can be turned into an arc by changing its DateAngle1 and/or DateAngle2 properties.
Usage
See Part Primitives.
Example

A Part Ellipse object created with the scripting example below is shown here.
Properties
See also: Property editor.
A Part Ellipse object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:
Data
Attachment
The object has the same attachment properties as a Part Part2DObject.
Base
- DateMajorRadius (
Length
): The major radius of the ellipse or elliptical arc. The default is4mm
. - DateMinorRadius (
Length
): The minor radius of the ellipse or elliptical arc. The default is2mm
. - DateAngle1 (
Angle
): The start angle of the elliptical arc. Valid range:0° < value <= 360°
. The default is0°
. - DateAngle2 (
Angle
): The end angle of the elliptical arc. Valid range:0° < value <= 360°
. The default is360°
. If DateAngle1 and DateAngle2 are equal, or if one angle is0°
and the other360°
, a full ellipse is created.
Scripting
See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.
A Part Ellipse can be created with the addObject()
method of the document:
ellipse = FreeCAD.ActiveDocument.addObject("Part::Ellipse", "myEllipse")
- Where
"myEllipse"
is the name for the object. - The function returns the newly created object.
Example:
import FreeCAD as App
doc = App.activeDocument()
ellipse = doc.addObject("Part::Ellipse", "myEllipse")
ellipse.MajorRadius = 20
ellipse.MinorRadius = 10
ellipse.Angle1 = 45
ellipse.Angle2 = 135
ellipse.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(30, 45, 10))
doc.recompute()
Această pagină este preluată de la https://wiki.freecad.org/Part_Ellipse